package com.ruoyi.bst.order.service;

import com.ruoyi.bst.order.domain.OrderVO;

import java.util.List;

/**
 * @author wjh
 * 2024/12/18
 */
public interface OrderAssembler {

    /**
     * 拼接产品列表
     *
     * @param list             订单列表
     */
    void assembleProdList(List<OrderVO> list);

    /**
     * 拼接进度
     */
    void assembleProgress(List<OrderVO> list);

    /**
     * 拼接工序列表
     */
    void assembleProdProcessList(List<OrderVO> list);

    /**
     * 拼接成为VO
     * @param list
     */
    void assembleVO(List<OrderVO> list);
}
