package com.ruoyi.bst.orderProd.domain.vo;

import com.ruoyi.bst.orderProd.domain.OrderProdVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wjh
 * 2025/3/4
 */
@Data
public class OrderProdGroupNameVO {

    @ApiModelProperty("产品名称")
    private String name;

    @ApiModelProperty("数量")
    private BigDecimal totalNum;

    @ApiModelProperty("上报数量")
    private BigDecimal reportNum;

    @ApiModelProperty("清点数量")
    private BigDecimal storeNum;

    @ApiModelProperty("产品列表")
    private List<OrderProdVO> prodList;
}
