package com.ruoyi.bst.prodProcess.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author wjh
 * 2024/12/17
 */
@Data
public class ProdProcessQuery extends ProdProcessVO{

    @ApiModelProperty("订单产品ID列表")
    private List<Long> orderProdIds;

    @ApiModelProperty("订单ID列表")
    private List<Long> orderIds;

    @ApiModelProperty("ID列表")
    private List<Long> ids;

    @ApiModelProperty("订单状态列表")
    private List<String> orderStatusList;

    @ApiModelProperty("精准产品名称列表")
    private List<String> eqNames;
}
