package com.ruoyi.web.dashboard;

import com.ruoyi.bst.prodProcess.domain.ProdProcessQuery;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dashboard.prodProcess.service.ProdProcessDashboardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/dashboard/prodProcess")
public class DashboardProdProcessController extends BaseController {

    @Autowired
    private ProdProcessDashboardService prodProcessDashboardService;

    @GetMapping("/sum")
    public AjaxResult sum(ProdProcessQuery query) {
        return success(prodProcessDashboardService.selectSum(query));
    }

}
