package com.ruoyi.bst.orderProd.service;

import com.ruoyi.bst.orderProd.domain.OrderProdQuery;
import com.ruoyi.bst.orderProd.domain.OrderProdVO;
import com.ruoyi.bst.orderProd.domain.vo.OrderProdGroupNameVO;

import java.util.List;

/**
 * @author wjh
 * 2024/12/18
 */
public interface OrderProdAssembler {

    /**
     * 拼接工序列表
     */
    void assembleProcessList(List<OrderProdVO> list);

    /**
     * 拼接进度
     */
    void assembleProgress(List<OrderProdVO> list);

    /**
     * 拼接产品列表
     */
    void assembleProdList(List<OrderProdGroupNameVO> list, OrderProdQuery query);

    /**
     * 汇总数量
     */
    void assembleTotalNum(List<OrderProdGroupNameVO> list);

}
