package com.ruoyi.bst.prodProcess.domain.vo;

import com.ruoyi.bst.prodProcess.domain.ProdProcessVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ProdProcessNameVO {

    @ApiModelProperty("产品名称")
    private String name;

    @ApiModelProperty("总数量")
    private BigDecimal totalNum;

    @ApiModelProperty("上报数量")
    private BigDecimal reportNum;

    @ApiModelProperty("入库数量")
    private BigDecimal storeNum;

    @ApiModelProperty("工序列表")
    private List<ProdProcessVO> processList;
}
