package com.ruoyi.bst.prodProcess.service;

import com.ruoyi.bst.prodProcess.domain.ProdProcessBO;
import com.ruoyi.bst.prodProcess.domain.ProdProcessQuery;
import com.ruoyi.bst.prodProcess.domain.ProdProcessVO;
import com.ruoyi.bst.prodProcess.domain.vo.ProdProcessNameVO;

import java.util.List;

/**
 * @author wjh
 * 2024/12/20
 */
public interface ProdProcessAssembler {


    /**
     * 拼接部门信息
     */
    void assembleDept(List<ProdProcessBO> list);

    /**
     * 拼接总上报数
     */
    void assembleReportNum(List<ProdProcessVO> list);

    /**
     * 拼接总清点数
     */
    void assembleStoreNum(List<ProdProcessVO> list);

    /**
     * 拼接进度
     */
    void assembleProgress(List<ProdProcessVO> list);

    /**
     * 拼接明细
     */
    void assembleProdList(List<ProdProcessNameVO> list, ProdProcessQuery query);

    /**
     * 拼接总数量
     */
    void assembleTotalNum(List<ProdProcessNameVO> list);
}
