package com.ruoyi.bst.store.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author wjh
 * 2024/12/19
 */
@Data
public class StoreQuery extends StoreVO{

    @ApiModelProperty("状态列表")
    private List<String> statusList;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("上报时间范围")
    private List<LocalDateTime> createTimeRange;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("入库时间范围")
    private List<LocalDateTime> storeTimeRange;

    @ApiModelProperty("工序ID列表")
    private List<Long> processIds;

}
